Installation Media - Feature Request #789

Replace Syslinux and Systemd-boot (Gummiboot) to GNU Grub for live ISOs
2015-08-20 01:44 AM - Anonymous

Status: wont-fix % Done: 0%
Priority: feature

Assignee: oaken-source

Category: arm

Description

Replace Syslinux and Systemd-boot (Gummiboot) to GNU Grub for live ISO

e Systemd-boot use Systemd init and boot EFI system only (x86_32, x86_64, arm32, arm64, ia64)
e Syslinux use x86 and x86_64 only

e GNU Grub is easy to porting and maintaining multiple architectures and OSs: * GNU/Linux, GNU/Hurd and others.

EFI, Libreboot, OpenFirmware, U-Boot, QEMU firmware and others. * x86_32, x86_64, arm32, arm64 and others

* MBR,

Related issues:
Related to Installation Media - Porting #1627: Make an arm installation iso e... wont-fix

History

#1 - 2015-09-08 01:57 AM - Anonymous

- Tracker changed from Porting to Bug

#2 - 2017-07-16 02:10 AM - calmstorm

Anonymous wrote:
Replace Syslinux and Systemd-boot (Gummiboot) to GNU Grub for live ISO

e Systemd-boot use Systemd init and boot EFI system only (x86_32, x86_64, arm32, arm64, ia64)
e Syslinux use x86 and x86_64 only

e GNU Grub is easy to porting and maintaining multiple architectures and OSs:

e GNU/Linux, GNU/Hurd and others.

¢ MBR, EFI, Libreboot, OpenFirmware, U-Boot, QEMU firmware and others.

* x86_32, x86_64, arm32, arm64 and others

That is a good idea, Libreboot is what | use. and to be honest, it would also be good for arm devices and who knows how many other types.

| second this idea.

#3 - 2018-06-29 06:54 AM - bill-auger
- Assignee changed from icarious to oaken-source
- Category set to arm

- Tracker changed from Bug to Feature Request

i have not looked into this but i think that this would remove support for CD/DVDs

if that is true then i dont think it would be a good trade-off

if that is not true, and if the only advantage would be supporting arm, then i would defer this to oaken-source and associate it with this issue

https://labs.parabola.nu/issues/1627

#4 - 2018-06-29 06:54 AM - bill-auger

- Related to Porting #1627: Make an arm installation iso even if basic added

#5 - 2020-12-15 02:15 PM - oaken-source

- Status changed from open to wont-fix

our non-x86 install process does not rely on bootable isos, so this can be closed for now.
